Distribution: 	CCux 
Packager:	Simon <mail_to_wrt@gmx.de>

Name:		vsftpd 
Version:	2.3.0
Release:	1
URL:		http://vsftpd.beasts.org/ 
License:	GNU/GPL 
Group:		System/Servers
Source0:	vsftpd-%{version}.tar.gz 
Source1:	vsftpd.conf
Source2:	vsftpd.xinetd
Patch0:		vsftpd-2.3.0-optimization.patch
Patch1:		vsftpd-2.3.0-DESTDIR.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	vsftpd - a very secure ftp server. 
Requires:	xinetd tcp_wrappers
BuildRequires:  tcp_wrappers-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libcap-devel
BuildRequires: openssl-devel
BuildRequires: pam-devel

%description 
vsftpd - Probably the most secure and fastest FTP server for UNIX-like systems. 

%pre 
if [ $1 -eq 1 ]; then
    groupadd -g 80 vsftpd &>/dev/null || : 
    useradd -d /dev/null -c 'vsFTPD User' -g vsftpd -s /bin/false -u 80 vsftpd &>/dev/null || : 
    groupadd -g 90 ftp &>/dev/null || : 
    useradd -c anonymous_user -d /home/ftp -g ftp -s /bin/false -u 90 ftp &>/dev/null || : 
fi    

%postun 
if [ $1 -eq 0 ]; then
    userdel vsftpd &>/dev/null || : 
    groupdel vsftpd &>/dev/null || :
    userdel ftp &>/dev/null || : 
    groupdel ftp &>/dev/null || :
fi

%prep 
%setup -qn vsftpd-%{version}
echo "#define VSF_BUILD_TCPWRAPPERS" >>builddefs.h
echo "#define VSF_BUILD_SSL" >> builddefs.h
%patch0 -p1 -b -optimization
%patch1 -p1 -b -DESTDIR

%build
make

%install 
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%_localstatedir/ftp/empty,home/ftp,%_sysconfdir/xinetd.d} 
make install DESTDIR=$RPM_BUILD_ROOT 
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/vsftpd.conf
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/xinetd.d/xinetd
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%config (noreplace) %_sysconfdir/%{name}.conf
%config (noreplace) %_sysconfdir/xinetd.d/xinetd
/home/ftp
%{_sysconfdir}/vsftpd.conf
%{_sysconfdir}/xinetd.d/vsftpd
%{_sysconfdir}/xinetd.d/xinetd
%{_sbindir}/vsftpd
%{_mandir}/man5/vsftpd.conf.5.gz
%{_mandir}/man8/vsftpd.8.gz

%clean 
rm -rf $RPM_BUILD_ROOT 

%changelog 
* Wed Jul 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.7-1
- Version Update
* Tue Jul 15 2008 Christian Metzen <metzench@ccux-linux.de> 2.0.6-1
- Version update
* Tue Jul 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.5-1
- Version Update
* Tue Jan 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.4-1
- Version Update
* Sat Oct 08 2005 Christian Wasem <wasem@ccux-linux.de> 2.0.3-2
- tweaked specfile, corrected group, added tcp_wrappers support
* Sat Jul 02 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.0.3-1
- Version Update to 2.0.3
* Fri Jan 14 2005 Christian Metzen <metzench@ccux-linux.de> 2.0.1-2
- Fixed xinetd Config Bug
* Fri Jan 14 2005 Christian Metzen <metzench@ccux-linux.de> 2.0.1-1
- Cleaned out SpecFile
- Added xinetd Dependencies and Configs
* Sat Nov 13 2004 Simon <mail_to_wrt@gmx.de> 2.0.1-1 
- First package Release
